Bug 859914 - Rename Review Request: lato-fonts - A sanserif typeface family
Rename Review Request: lato-fonts - A sanserif typeface family
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 07:44 EDT by Mohamed El Morabity
Modified: 2012-11-09 15:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 15:28:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2012-09-24 07:44:46 EDT
Spec URL: http://melmorabity.fedorapeople.org/packages/lato-fonts/lato-fonts.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/lato-fonts/lato-fonts-1.014-1.fc18.src.rpm
Description: 
Lato is a sanserif typeface family designed in the Summer 2010 by Warsaw-based
designer Łukasz Dziedzic ("Lato" means "Summer" in Polish). In December 2010 the
Lato family was published under the open-source Open Font License by his foundry
tyPoland, with support from Google.

Fedora Account System Username: melmorabity

This package replaces the currently available google-lato-fonts package. Since the Lato font family is now distributed outside the Google Font website (http://www.latofonts.com/), there's no more reason to keep "google" as the font foundry in the package name.
Comment 1 Mario Blättermann 2012-09-26 14:40:14 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4529646

$ rpmlint -i -v *
lato-fonts.noarch: I: checking
lato-fonts.noarch: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, Poland
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.noarch: W: spelling-error %description -l en_US letterforms -> letter forms, letter-forms, letterbombs
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.noarch: I: checking-url http://www.latofonts.com/ (timeout 10 seconds)
lato-fonts.src: I: checking
lato-fonts.src: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, Poland
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.src: W: spelling-error %description -l en_US letterforms -> letter forms, letter-forms, letterbombs
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.src: I: checking-url http://www.latofonts.com/ (timeout 10 seconds)
lato-fonts.src: I: checking-url http://www.latofonts.com/download/LatoOFL.zip (timeout 10 seconds)
lato-fonts.spec: I: checking-url http://www.latofonts.com/download/LatoOFL.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Some issues:

The description isn't fully canonical in terms of spelling. "letterforms" has to be "letter forms".

The initial cleaning of $RPM_BUILD_ROOT is obsolete for ages. Please remove that line. I assume you don't want it to provide it for EPEL5, because the to be retired google-lato-fonts also doesn't have an el5 branch.
Comment 2 Mohamed El Morabity 2012-09-29 13:37:05 EDT
Many thanks for your review.

(In reply to comment #1)
> The description isn't fully canonical in terms of spelling. "letterforms"
> has to be "letter forms".
"Letterform" is commonly accepted, especially in typography:
   http://en.wikipedia.org/wiki/Letterform

> The initial cleaning of $RPM_BUILD_ROOT is obsolete for ages. Please remove
> that line. I assume you don't want it to provide it for EPEL5, because the
> to be retired google-lato-fonts also doesn't have an el5 branch.
You're absolutely right! Fixed:
   http://melmorabity.fedorapeople.org/packages/lato-fonts/lato-fonts.spec
   http://melmorabity.fedorapeople.org/packages/lato-fonts/lato-fonts-1.014-2.fc18.src.rpm
Comment 3 Mario Blättermann 2012-09-29 13:59:46 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4540882

$ rpmlint -i -v *
lato-fonts.noarch: I: checking
lato-fonts.noarch: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, Poland
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.noarch: W: spelling-error %description -l en_US letterforms -> letter forms, letter-forms, letterbombs
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.noarch: I: checking-url http://www.latofonts.com/ (timeout 10 seconds)
lato-fonts.src: I: checking
lato-fonts.src: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, Poland
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.src: W: spelling-error %description -l en_US letterforms -> letter forms, letter-forms, letterbombs
The value of this tag appears to be misspelled. Please double-check.

lato-fonts.src: I: checking-url http://www.latofonts.com/ (timeout 10 seconds)
lato-fonts.src: I: checking-url http://www.latofonts.com/download/LatoOFL.zip (timeout 10 seconds)
lato-fonts.spec: I: checking-url http://www.latofonts.com/download/LatoOFL.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

OK so far.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    OFL
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    c4e15b067630f7050e01e8ff7399d1255a252e9c51706561ecc63907d1efbe7c  LatoOFL.zip
    c4e15b067630f7050e01e8ff7399d1255a252e9c51706561ecc63907d1efbe7c  LatoOFL.zip.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 4 Mohamed El Morabity 2012-09-29 15:18:50 EDT
New Package SCM Request
=======================
Package Name: lato-fonts
Short Description: A sanserif typeface family
Owners: melmorabity
Branches: f18 f17 f16
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-29 15:30:58 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-30 05:22:48 EDT
lato-fonts-1.014-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lato-fonts-1.014-2.fc18
Comment 7 Fedora Update System 2012-09-30 05:24:49 EDT
lato-fonts-1.014-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lato-fonts-1.014-2.fc16
Comment 8 Fedora Update System 2012-09-30 14:23:34 EDT
Package lato-fonts-1.014-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lato-fonts-1.014-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15125/lato-fonts-1.014-2.fc18
then log in and leave karma (feedback).
Comment 9 Paul Flo Williams 2012-10-10 11:01:56 EDT
Package Change Request
======================
Package Name: lato-fonts
Branches: f16 f17 f18 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches, including Rawhide.
Comment 10 Gwyn Ciesla 2012-10-10 11:06:50 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.